Bug 246125 - should claws-mail-plugins-bogofilter not depend on bogofilter
Summary: should claws-mail-plugins-bogofilter not depend on bogofilter
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-28 17:58 UTC by Patrick C. F. Ernzer
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: claws-mail-2.10.0-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 13:00:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrick C. F. Ernzer 2007-06-28 17:58:30 UTC
Description of problem:
enabling claws-mail-plugins-bogofilter makes it nag that bogofilter cannot be
run, which is no real surprise as the latter is not a dependency

Version-Release number of selected component (if applicable):
claws-mail-2.9.2-1.fc7.src.rpm

How reproducible:
it nagged once and then I installed bogofilter

Steps to Reproduce:
1. yum install claws-mail-plugins-bogofilter
2. run claws-mail
3. enable the bogofilter plugin
  
Actual results:
claws-mail complains that bogofilter cannot be run

Expected results:
Requires bogofilter

Additional info:
# rpm -q --requires claws-mail-plugins-bogofilter
claws-mail = 2.9.2-1.fc7
libatk-1.0.so.0  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.4)  
libcairo.so.2  
libcrypto.so.6  
libdb-4.5.so  
libdl.so.2  
libetpan.so.11  
libgdk-x11-2.0.so.0  
libgdk_pixbuf-2.0.so.0  
libglib-2.0.so.0  
libgmodule-2.0.so.0  
libgobject-2.0.so.0  
libgtk-x11-2.0.so.0  
libm.so.6  
libpango-1.0.so.0  
libpangocairo-1.0.so.0  
libpng12.so.0  
libpthread.so.0  
libpthread.so.0(GLIBC_2.0)  
libpthread.so.0(GLIBC_2.3.2)  
libresolv.so.2  
libsasl2.so.2  
libssl.so.6  
libz.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)

Comment 1 Andreas Bierfert 2007-07-06 06:33:28 UTC
Yes I guess it should. Will push 2.10.0-2 to devel/f-7 updates-testing asap

Comment 2 Fedora Update System 2007-07-17 16:45:59 UTC
claws-mail-2.10.0-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.